
Redmine - Defect #25791

Bypass Tracker role-based permissions when copying issues

2017-05-08 22:13 - Shane Coronado

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version: 3.3.4   

Resolution: Fixed Affected version: 3.3.2

Description

Not sure if intended: We use the permission settings for our roles. However, our Developer role is able to create an issue that the

role does not have permission to create. This was done by Copying said issue and not changing the Tracker field. By leaving the

Tracker field blank, the user is able to create an issue that bypasses the role's permissions.

Associated revisions

Revision 16569 - 2017-05-27 10:34 - Jean-Philippe Lang

Check tracker permissions when copying an issue (#25791).

Revision 16616 - 2017-06-06 22:54 - Jean-Philippe Lang

Merged r16569 (#25791).

History

#1 - 2017-05-09 05:56 - Toshi MARUYAMA

- Target version set to 3.2.7

#2 - 2017-05-27 10:34 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r16569.

#3 - 2017-06-06 22:55 - Jean-Philippe Lang

- Subject changed from Bypass Tracker role-based permissions to Bypass Tracker role-based permissions when copying issues

- Status changed from Resolved to Closed

- Target version changed from 3.2.7 to 3.3.4

Tracker role-based permissions are not implemented in 3.2.
